GET
/api/v1/epfs/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/epfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/epfs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/epfs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
page
integer
Page No.
page_size
integer
Page size
Responses
Section titled “Responses”Successful response with EPFS list
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
vpc
object
name
string
network_id
integer
is_active
boolean
dns
string
network_mask
string
ipv4_cidr
string
vm_count
integer
gateway_ip
string
state
string
reserve_network_id
integer
deleted
boolean
created_at
string format: date-time
updated_at
string format: date-time
name
string
size
integer
plan_name
string
deleted_at
string
status
string
location
string
fs_id
string
client_project_id
string
nid
integer
gateway_ip
string
fs_name
string
project
integer
customer
integer
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "id": 145, "vpc": { "name": "VPC-717", "network_id": 34872, "is_active": true, "dns": "8.8.8.8 8.8.4.4", "network_mask": "255.255.254.0", "ipv4_cidr": "10.7.26.0/23", "vm_count": 0, "gateway_ip": "10.7.26.1", "state": "Running", "reserve_network_id": 34873 }, "deleted": false, "created_at": "2025-05-26T09:40:25.508756Z", "updated_at": "2025-05-26T09:42:14.054705Z", "name": "epfs-127", "size": 1000, "plan_name": "", "deleted_at": null, "status": "running", "location": "Delhi", "fs_id": "37144145", "client_project_id": "3714414517595", "nid": 1144, "gateway_ip": "10.7.27.254", "fs_name": "pfs0", "project": 42347, "customer": 37144 } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}